package main

import (
	"gitlab.codemonkeysoftware.net/b/hatmill"
	h "gitlab.codemonkeysoftware.net/b/hatmill/html5"
	"os"
)

func main() {
	document := h.Html()(
		h.Head()(),
		h.Body()(
			h.Div()(
				h.Img(h.Src("./me.jpg"), h.Id("profile-photo")),
				h.Text("hello hatmill!"),
				h.Div(h.Disabled(), h.Data("coolness", "awesome"))(),
			),
		),
	)
	hatmill.WriteDocument(os.Stdout, document)
}
